Subject: Re: bug#32850: 27.0.50; window-swap-states doesn't swap window prev/next-buffers

From: Juri Linkov <[email-masked]>
Date: Fri, 28 Sep 2018 01:52:15 +0300

>> I see that window-swap-states breaks the order of window buffers
>> for 'C-x <C-left>' (previous-buffer) and 'C-x <C-right>' (next-buffer)
>> because it doesn't swap window-prev-buffers and window-next-buffers.
>>
>> Shouldn't window-swap-states also swap prev/next buffers?
>
> So you want to change the course of history.  Could you provide some
> rationale for such a change?

Actually not to change the course of history, but keep it together with
its window, or rather an imaginary window - when using window-swap-states,
it looks like windows are swapped: since window's buffer is moved
to a new location, the feeling is that the whole window is moved to
a new place, because what defines a window is its state more than
a location on the screen, so to not break the history of buffers
in the window, prev/next buffers should be swapped as well, to
keep the chain of buffers: prev-buffers - current buffer - next-buffer,
so 'C-x <C-left>' (previous-buffer) and 'C-x <C-right>' (next-buffer)
will navigate in the preserved history in the same order it navigated
in the old window location.